com.mapinfo.midev.xml

## Class XmlSpace

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.xml.XmlSpace

All Implemented Interfaces:
  Serializable, Comparable

    public final class XmlSpace
    extends Enum

The space of current element. The space is defined by a "space" attribute in the "http://www.w3.org/XML/1998/namespace" or "http://www.w3.org/2001/XMLSchema" namespace.

See Also:
  Serialized Form

### Field Summary

Fields
`static XmlSpace` `Default` The default space handling.
`static XmlSpace` `None` No space is defined.
`static XmlSpace` `Preserve` Preserve the spaces.

### Method Summary

All Methods Static Methods Concrete Methods
`static XmlSpace` `parse(String space)` Get the enum based on a string.
`static XmlSpace` `valueOf(String name)`
`static XmlSpace[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### None

    public static final XmlSpace None

No space is defined.

#### Default

    public static final XmlSpace Default

The default space handling.

#### Preserve

    public static final XmlSpace Preserve

Preserve the spaces.

### Method Detail

#### values

    public static XmlSpace[] values()

#### valueOf

    public static XmlSpace valueOf(String name)

#### parse

    public static XmlSpace parse(String space)

Get the enum based on a string.

Parameters:
  `space` - Either `default` or `preserve`.